package com.zemanta.hamaxnewsandroid;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;

public class ArticleViewActivity extends Activity {
	
	String title, body, url;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        Intent intent = getIntent();
        Bundle extras = intent.getExtras();
        
        setContentView(R.layout.article_view);
        
        // If we want it later...
        //String id = extras.getString("id");

        TextView tv_title = (TextView) this.findViewById(R.id.article_view_title);
        title = extras.getString("title");
        tv_title.setText(title);

        TextView tv_body = (TextView) this.findViewById(R.id.article_view_body);
        body = extras.getString("body");
        tv_body.setText(body);

        TextView tv_url = (TextView) this.findViewById(R.id.article_view_url);
        url = extras.getString("url");
        tv_url.setText(url);

        tv_url.setOnClickListener(new OnClickListener() {
        	public void onClick(View view) {
        		Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(url));
        		startActivity(browserIntent);
        	}
        });
    }
}